class_name C_SpawnPoint
extends Component

@export var spawn_prefab: PackedScene
@export var spawn_frequency: float = 1
var spawn_cooldown: float = 0

func _init():
	pass
	
func should_spawn() -> bool:
	return spawn_cooldown < 0
	
func start_spawn_cooldown() -> void:
	spawn_cooldown = spawn_frequency
